Bug 1075277 - Review Request: irma_configuration - IRMA Card configuration data
Summary: Review Request: irma_configuration - IRMA Card configuration data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-11 23:59 UTC by Patrick Uiterwijk
Modified: 2014-04-04 20:30 UTC (History)
1 user (show)

Fixed In Version: irma_configuration-0.1-0.3.aeb8d68.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-27 04:50:24 UTC
Type: ---
pwouters: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2014-03-11 23:59:00 UTC
Spec URL: http://puiterwijk.fedorapeople.org//irma_configuration.spec
SRPM URL: http://puiterwijk.fedorapeople.org//irma_configuration-0.1-0.1.9c3105d863739a43bb13a51721bcd73a5fa75e18.fc20.src.rpm

Description:
Configuration of issuers and verifiers in the public IRMA system.

Comment 1 Paul Wouters 2014-03-12 00:27:32 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Requires ANY indication of license, as none are present in the pacakge
  (do not ship without it)
- fix commit/version to shortcommit
- fix file permissions to be independant of build system and explicite in %files
- remove spurious blanc lines

Package will be approved once licensing has been cleared up with upstream commit and re-package

===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in
     /vol/home/paul/git/libreswan/testing/pluto/1075277-irma_configuration/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: irma_configuration-0.1-0.1.9c3105d863739a43bb13a51721bcd73a5fa75e18.fc19.noarch.rpm
          irma_configuration-0.1-0.1.9c3105d863739a43bb13a51721bcd73a5fa75e18.fc19.src.rpm
irma_configuration.noarch: W: spelling-error %description -l en_US verifiers -> verifies, versifiers, versifier
irma_configuration.src: W: spelling-error %description -l en_US verifiers -> verifies, versifiers, versifier
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint irma_configuration
irma_configuration.noarch: W: spelling-error %description -l en_US verifiers -> verifies, versifiers, versifier
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
irma_configuration (rpmlib, GLIBC filtered):



Provides
--------
irma_configuration:
    irma_configuration



Source checksums
----------------
https://github.com/credentials/irma_configuration/archive/9c3105d863739a43bb13a51721bcd73a5fa75e18/irma_configuration-9c3105d863739a43bb13a51721bcd73a5fa75e18.tar.gz :
  CHECKSUM(SHA256) this package     : 675b5d4dd23f170ee0e6e34a1c15b6ca1119e3ba6d5f5edbf2de931bd0f28d9c
  CHECKSUM(SHA256) upstream package : 675b5d4dd23f170ee0e6e34a1c15b6ca1119e3ba6d5f5edbf2de931bd0f28d9c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1075277
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Paul Wouters 2014-03-14 15:24:28 UTC
Why do you use:

%attr(-,-,-) %{_datadir}/%{name}

I don't like the attr use because it _still_ depends on the build system state or upstream permissions/ownerships. You should set a clear user/owner/mode.

Also, shouldn't this package own this directory using %dir ?

Comment 4 Patrick Uiterwijk 2014-03-14 18:53:19 UTC
I changed it to %attr(0644, root, root).

Also, the %dir is not needed if you use the directory and all files and directories under it.
%dir is only used when you want to own the directory but not the files under it (because those are subpackages for example).



New SPEC: http://puiterwijk.fedorapeople.org/irma_configuration.spec
New SRPM: http://puiterwijk.fedorapeople.org/irma_configuration-0.1-0.3.aeb8d68.fc20.src.rpm

Comment 5 Paul Wouters 2014-03-14 18:55:26 UTC
with those changes, APPROVED

Comment 6 Patrick Uiterwijk 2014-03-14 18:56:24 UTC
New Package SCM Request
=======================
Package Name: irma_configuration
Short Description: IRMA Card configuration data
Owners: puiterwijk
Branches: el6 epel7 f19 f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-03-14 19:25:13 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-03-14 21:06:02 UTC
irma_configuration-0.1-0.3.aeb8d68.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/irma_configuration-0.1-0.3.aeb8d68.el6

Comment 9 Fedora Update System 2014-03-14 21:06:11 UTC
irma_configuration-0.1-0.3.aeb8d68.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/irma_configuration-0.1-0.3.aeb8d68.fc19

Comment 10 Fedora Update System 2014-03-14 21:06:18 UTC
irma_configuration-0.1-0.3.aeb8d68.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/irma_configuration-0.1-0.3.aeb8d68.fc20

Comment 11 Fedora Update System 2014-03-15 15:08:38 UTC
Package irma_configuration-0.1-0.3.aeb8d68.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing irma_configuration-0.1-0.3.aeb8d68.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3867/irma_configuration-0.1-0.3.aeb8d68.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-03-27 04:50:24 UTC
irma_configuration-0.1-0.3.aeb8d68.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-03-27 04:50:39 UTC
irma_configuration-0.1-0.3.aeb8d68.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-04-04 20:30:59 UTC
irma_configuration-0.1-0.3.aeb8d68.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.